package com.example.demo

import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController
import java.io.BufferedInputStream
import java.net.URL

@RestController
@RequestMapping("/demo")
class DemoController {

  @GetMapping("")
  fun get() : ByteArray? {
    val stream = URL("https://google.com")
      .openConnection()
      .getInputStream()

    return BufferedInputStream(stream)
      .readAllBytes()
  }
}